summaryrefslogtreecommitdiffstats
path: root/source/a/elvis
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/a/elvis
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/elvis')
-rwxr-xr-xsource/a/elvis/elvis.SlackBuild36
-rw-r--r--source/a/elvis/slack-desc10
2 files changed, 28 insertions, 18 deletions
diff --git a/source/a/elvis/elvis.SlackBuild b/source/a/elvis/elvis.SlackBuild
index 14f3cc926..ed5009172 100755
--- a/source/a/elvis/elvis.SlackBuild
+++ b/source/a/elvis/elvis.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,20 +20,30 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=elvis
VERSION=2.2_0
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-elvis
@@ -41,8 +51,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf elvis-$VERSION
-tar xjvf $CWD/elvis-$VERSION.tar.bz2
-cd elvis-$VERSION
+tar xvf $CWD/elvis-$VERSION.tar.bz2 || exit 1
+cd elvis-$VERSION || exit 1
# Fix redefined getline() with glibc > 2.9 by changing the
# local function to elv_getline():
@@ -60,19 +70,19 @@ chown -R root:root .
--bindir=$PKG/usr/bin \
--datadir=$PKG/usr/share/elvis-$VERSION \
--docdir=$PKG/usr/share/elvis-$VERSION/doc \
- --verbose
-make
-make install
+ --verbose || exit 1
+make || exit 1
+make install || exit 1
# Now we make the real binaries:
-make clean
+make clean || exit 1
./configure \
--without-x \
--without-gnome \
--bindir=/usr/bin \
--datadir=/usr/share/elvis-$VERSION \
--docdir=/usr/share/elvis-$VERSION/doc \
- --verbose
-make
+ --verbose || exit 1
+make || exit 1
# And install them:
cat elvis > $PKG/usr/bin/elvis
cat elvtags > $PKG/usr/bin/elvtags
diff --git a/source/a/elvis/slack-desc b/source/a/elvis/slack-desc
index f60d350d8..d248c6a08 100644
--- a/source/a/elvis/slack-desc
+++ b/source/a/elvis/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
elvis: elvis (text editor)
elvis:
-elvis: Elvis is a text editor. It is intended to be a modern replacement
-elvis: for the classic ex/vi editor of UNIX fame. Elvis supports many new
+elvis: Elvis is a text editor. It is intended to be a modern replacement
+elvis: for the classic ex/vi editor of UNIX fame. Elvis supports many new
elvis: features, including multiple edit buffers, multiple windows, and a
elvis: variety of display modes.
elvis: